package com.hungraim.ltc.service;

import java.util.List;

public interface OrganService {

    /**
     * 根据organId以及isInvolveChild返回一个organIds集合
     * 返回一个好办organId的ids集合，如果isInvolveChild的值为true，则包含organId的下层机构，如果为false，就只返回只存在organId的ids集合
     *
     * @param organId        适用机构id
     * @param isInvolveChild 是否包含下层机构
     * @return 返回一个ids集合
     */
    List<Long> getOrganIds(Long organId, Boolean isInvolveChild);
}
