package com.hungraim.ltc.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hungraim.ltc.pojo.entity.assessment.ChAssessDetailAccounts;
import com.hungraim.ltc.pojo.entity.assessment.ChAssessDetailAccountsResp;
import com.hungraim.ltc.pojo.vo.account.AssessAccountsExportResp;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author mq
 */
@Mapper
@Repository
public interface ChAssessDetailAccountsMapper extends BaseMapper<ChAssessDetailAccounts> {

    List<ChAssessDetailAccountsResp> queryAssessAccountsDetail(String assessAccountsId);

    List<AssessAccountsExportResp> assessAccountDetailExport(String assessAccountsId);
}
