package com.hungraim.ltc.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hungraim.ltc.pojo.entity.assessment.ChAprTask;
import com.hungraim.ltc.pojo.vo.assessment.ChAprTaskVo;
import com.hungraim.ltc.pojo.vo.assessment.ReTaskDistributionVO;
import com.hungraim.ltc.pojo.vo.disable.ChDisableApplyVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 复评Service
 *
 * @author czz
 */
public interface ReTaskService extends IService<ChAprTask> {
    Page<ReTaskDistributionVO> reTaskDistributionList(Page<ReTaskDistributionVO> page, Long organId, Boolean isIncluded, String acptProvincial, String acptCity, String acptCrea, String realName, String certiCode);
    /**
     * 复评申请详情
     */
    ChDisableApplyVo reassmentDetailById(String applyId);
    /**
     * 复评申请-历史评定信息列表查询
     */
    List<ChAprTaskVo> geReTaskHisInfoList(String disableInfoId);

    /**
     * 复评审核
     */
    void disableExamine(String applyId, String checkName, Short applyStatus, String checkRemark);
}
