package com.hungraim.ltc.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hungraim.ltc.dao.ChAprReportFractionMapper;
import com.hungraim.ltc.pojo.entity.assessment.ChAprReportFraction;
import com.hungraim.ltc.service.ChAprReportFractionService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @author mq
 */
@Service
@Slf4j
@AllArgsConstructor
public class ChAprReportFractionServiceImpl extends ServiceImpl<ChAprReportFractionMapper, ChAprReportFraction> implements ChAprReportFractionService  {

    @Autowired
    ChAprReportFractionMapper chAprReportFractionMapper;


    @Override
    public void updateChAprReportFraction(List<ChAprReportFraction> chAprReportFractions) {
        this.updateBatchById(chAprReportFractions);
    }

    @Override
    public void insertChAprReportFraction(List<ChAprReportFraction> chAprReportFractions) {
        this.saveBatch(chAprReportFractions,chAprReportFractions.size());
    }
}

