package com.hungraim.ltc.pojo.entity.SysConfig;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * CH_CFG_SRV_ORGAN_TYPE
 *
 * @author zhangch
 */
@Data
@TableName("CH_CFG_SRV_ORGAN_TYPE")
public class ChCfgSrvOrganType implements Serializable {
    /**
     * 服务机构类型id
     */
    @TableId(type = IdType.INPUT)
    private Long organTypeId;

    /**
     * 服务机构类型名称
     */
    private String organTypeName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 基础参数配置id
     */
    private Long paraId;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    private static final long serialVersionUID = 1L;
}