package com.hungraim.ltc.pojo.entity.assessment;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * (ChDisableInfoHis)实体类
 *
 * @author makejava
 * @since 2021-09-02 13:35:48
 */
@Data
@TableName("CH_DISABLE_INFO_HIS")
@KeySequence(value = "SEQ_CH_DISABLE_INFO_HIS")
public class ChDisableInfoHis implements Serializable {
    private static final long serialVersionUID = 202562564087527572L;

    @TableId(value = "HIS_DISAB_INFO_ID", type = IdType.INPUT)
    private Integer hisDisabInfoId;

    private Integer disabInfoId;

    private String organId;

    private String districtProvincial;

    private String districtCity;

    private String districtArea;

    private String realName;

    private String certiCode;

    private Date birthday;

    private String gender;

    private String tel;

    private String adressDistrictCode;

    private String adressDetail;

    private Integer regist;

    private String disease;

    private Integer srvModeId;

    private String diseaseDesc;

    private Integer medicalType;

    private String medicalCard;

    private Integer srvOrganIntent;

    private String operName;

    private String operCertiCode;

    private String operTel;

    private Integer operRelation;

    private String operDistrictCode;

    private String operAddress;

    private Integer aprConfY;

    private Integer applyStatus;

    private String checkName;

    private String checkRemark;

    private Date checkTime;

    private String reason;

    private Integer defineEmg;

    private Date effTime;

    private Integer endEmg;

    private Date endTime;

    private Date fcd;

    private String fcu;

    private String lcd;

    private Integer lcu;

    private Integer aplOrganId;

    private String adressDistrictProvincial;

    private String adressDistrictCity;

    private String operDistrictProvincial;

    private String operDistrictCity;

    private Integer lastTaskId;

    private Date hisFcd;

    private Integer hisFcu;

    private Date hisLcd;

    private Integer hisLcu;

    private String street;

    private Integer aprTotalScore;

    private Integer applyId;
    /**
     * 服务配置模式ID
     */
    private Integer cfgModeId;
    /**
     * 接受评定省
     */
    private String acptProvincial;
    /**
     * 接受评定市
     */
    private String acptCity;
    /**
     * 接受评定区
     */
    private String acptArea;
    /**
     * 接受评定街道
     */
    private String acptStreet;
    /**
     * 接受评定详细地址
     */
    private String acptAddress;
    /**
     * 接受评定类型 现在址：0,机构地址：1,其他：2
     */
    private Integer acptType;
    /**
     * 疾病大类
     */
    private Integer diseTypeF;
    /**
     * 疾病小类
     */
    private Integer diseTypeS;
    /**
     * 历史操作时间
     */
    private Date hisTime;
    /**
     * 历史操作人
     */
    private Integer hisEmp;
    /**
     * 现住址经度
     */
    private String addressLongitude;
    /**
     * 现住址纬度
     */
    private String addressLatitude;
    /**
     * 接受评定地址经度
     */
    private String acptLongitude;
    /**
     * 接受评定地址纬度
     */
    private String acptLatitude;
    /**
     * 代办人街道
     */
    private String operStreet;
    /**
     * 代办人地址经度
     */
    private String agentLongitude;
    /**
     * 代办人地址纬度
     */
    private String agentLatitude;
    /**
     * 现住地址路街
     */
    private String addressRoadDetail;
    /**
     * 现住地址路/街（0路，1街，2村）
     */
    private Integer addressRoadType;
    /**
     * 现住地址号弄
     */
    private String addressNumberDetail;
    /**
     * 现住地址号/弄（0弄，1号）
     */
    private Integer addressNumberType;
    /**
     * 接受评定地址路街
     */
    private String acptRoadDetail;
    /**
     * 接受评定地址路/街（0路，1街，2村）
     */
    private Integer acptRoadType;
    /**
     * 接受评定地址号弄
     */
    private String acptNumberDetail;
    /**
     * 接受评定地址号/弄（0弄，1号）
     */
    private Integer acptNumberType;
    /**
     * 代办人现住止路街
     */
    private String operRoadDetail;
    /**
     * 代办人现住止路/街（0路，1街，2村）
     */
    private Integer operRoadType;
    /**
     * 代办人现住止号弄
     */
    private String operNumberDetail;
    /**
     * 代办人现住止号/弄（0弄，1号）
     */
    private Integer operNumberType;
    /**
     * 接受服务地址省
     */
    private String acptSrvProvincial;
    /**
     * 接受服务地址市
     */
    private String acptSrvCity;
    /**
     * 接受服务地址区
     */
    private String acptSrvArea;
    /**
     * 接受服务地址街道
     */
    private String acptSrvStreet;
    /**
     * 接受服务地址路街
     */
    private String acptSrvRoadDetail;
    /**
     * 接受服务地址路/街（0路，1街，2村）
     */
    private Integer acptSrvRoadType;
    /**
     * 接受服务地址号弄
     */
    private String acptSrvNumberDetail;
    /**
     * 接受服务地址号/弄（0弄，1号）
     */
    private Integer acptSrvNumberType;
    /**
     * 接受服务地址详细地址
     */
    private String acptSrvAddress;
    /**
     * 接受服务地址类型（现在址：0,护理机构地址：1,其他：2）
     */
    private Integer acptSrvType;
    /**
     * 接受服务地址经度
     */
    private String acptSrvLongitude;
    /**
     * 接受服务地址纬度
     */
    private String acptSrvLatitude;
    /**
     * 数据来源（申请：0，信息变更：1）
     */
    private Integer dataFrom;
    /**
     * 失能人员固话
     */
    private String fixedTel;
    /**
     * 代办人固话
     */
    private String operFixedTel;
    /**
     * 所在户籍地址省
     */
    private String registProvincial;
    /**
     * 所在户籍地址市
     */
    private String registCity;
    /**
     * 所在户籍地址区
     */
    private String registArea;
    /**
     * 所在户籍地址街道
     */
    private String registStreet;
    /**
     * 所在户籍地址详细地址
     */
    private String registAddress;
    /**
     * 所在户籍地址经度
     */
    private String registLongitude;
    /**
     * 所在户籍地址纬度
     */
    private String registLatitude;
    /**
     * 1病史简述1   . 曾患的重大疾病、外伤史、传染病史
     */
    private String medicalHistory1;
    /**
     * 病史简述2   2. 现有的疾病和病症
     */
    private String medicalHistory2;
    /**
     * 病史简述3   3. 目前正在治疗的疾病和病症
     */
    private String medicalHistory3;
    /**
     * 身高
     */
    private String height;
    /**
     * 体重
     */
    private String weight;
    /**
     * 左手握力
     */
    private String leftHandGrip;
    /**
     * 右手握力
     */
    private String rightHandGrip;
    /**
     * 肢体残缺  0有，1无
     */
    private String bodyIncomplete;
    /**
     * 视力障碍   0有，1无
     */
    private String visionObstacle;
    /**
     * 听力障碍   0有，1无
     */
    private String hearingObstacle;
    /**
     * 病史简述
     */
    private String medicalHistory;
    /**
     * 医师姓名
     */
    private String doctorName;
    /**
     * 医师证件号码
     */
    private String doctorNumber;
    /**
     * 是否跨区，0不跨区，1跨区
     */
    private String crossDistrict;
    /**
     * 待遇类型（1失能、0失智）
     */
    private Integer treatmentType;
}


