package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @TableName CH_CFG_SRV_EMP_TYPE
 */
@TableName(value ="CH_CFG_SRV_EMP_TYPE")
@Data
public class ChCfgSrvEmpType implements Serializable {
    /**
     * 人员类别id
     */
    @TableId(type=IdType.INPUT)
    private Integer empTypeId;

    /**
     * 人员类型名称
     */
    private String typeName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 人员类别id
     */
    private Integer empCateId;

    /**
     * 基础参数配置id
     */
    private Integer paraId;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Integer fcu;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}