package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hungraim.ltc.pojo.entity.PageInfo;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("CH_DISABLE_INFO")
@KeySequence(value = "SEQ_CH_DISABLE_INFO")
public class ChDisableInfo extends PageInfo implements Serializable {
    @TableId(value = "DISAB_INFO_ID", type = IdType.INPUT)
    private Integer disabInfoId;
    private String agentLatitude;
    private String acptRoadDetail;
    private java.util.Date checkTime;
    private String certiCode;
    private String registAddress;
    private String diseaseDesc;
    private String operDistrictCode;
    private String registCity;
    private Integer endEmg;
    private String operName;
    private String medicalHistory;
    private String operAddress;
    private String adressDistrictCity;
    private Integer acptRoadType;
    private String acptProvincial;
    private Integer leftHandGrip;
    private String operRoadDetail;
    private String acptSrvAddress;
    private Integer weight;
    private java.util.Date birthday;
    private String medicalHistory2;
    private String medicalHistory3;
    private Integer defineEmg;
    private String adressDetail;
    private String registArea;
    private String medicalHistory1;
    private String doctorName;
    private java.util.Date fcd;
    private String addressNumberDetail;
    private String fixedTel;
    private String addressLongitude;
    private String acptNumberDetail;
    private String adressDistrictProvincial;
    private Integer treatmentType;
    private Integer dataFrom;
    private String organId;
    private String addressLatitude;
    private String disease;
    private Integer fcu;
    private Integer acptSrvNumberType;
    private Integer bodyIncomplete;
    private Integer aprTotalScore;
    private String checkName;
    private String doctorNumber;
    private String acptSrvNumberDetail;
    private Integer diseTypeF;
    private Integer diseTypeS;
    private String districtArea;
    private String operTel;
    private Integer applyId;
    private Integer operRoadType;
    private Integer cfgModeId;
    private String operFixedTel;
    private Integer addressType;
    private String street;
    private String acptAddress;
    private String acptSrvProvincial;
    private String acptSrvLongitude;
    private String acptLatitude;
    private String acptArea;
    private String operNumberDetail;
    private String checkRemark;
    private java.util.Date effTime;
    private String operDistrictCity;
    private Integer addressRoadType;
    private String acptLongitude;
    private String operCertiCode;
    private String acptSrvRoadDetail;
    private Integer srvOrganIntent;
    private Integer acptSrvType;
    private String agentLongitude;
    private Integer rightHandGrip;
    private String registLatitude;
    private java.util.Date endTime;
    private String acptCity;
    private Integer acptNumberType;
    private String adressDistrictCode;
    private String medicalCard;
    private Integer acptSrvRoadType;
    private String reason;
    private Integer hearingObstacle;
    private Integer lastTaskId;
    private java.util.Date lcd;
    private String realName;
    private Integer regist;
    private Integer operNumberType;
    private Integer visionObstacle;
    private String acptSrvStreet;
    private String addressRoadDetail;
    private String districtCity;
    private String operDistrictProvincial;
    private Integer lcu;
    private Integer crossDistrict;
    private String districtProvincial;
    private Integer medicalType;
    private Integer aplOrganId;
    private Integer acptType;
    private String acptSrvLatitude;
    private String registStreet;
    private Integer operRelation;
    private Integer aprConfY;
    private String acptSrvCity;
    private String gender;
    private Integer addressNumberType;
    private String acptStreet;
    private String operStreet;
    private Integer srvModeId;
    private Integer height;
    private String registProvincial;
    private String registLongitude;
    private Integer applyStatus;
    private String tel;
    private String acptSrvArea;
}
