package com.hungraim.ltc.pojo.vo.account;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class AssessAccountsExportResp {


    @Excel(name = "统筹区",width = 20)
    private String medicalArea;

    @Excel(name = "失能人员姓名",width = 20)
    private String realName;

    @Excel(name = "评估机构名称",width = 20)
    private String organName;


    @Excel(name = "评定人员姓名",width = 20)
    private String empName;


    @Excel(name = "评估时间",width = 20)
    private String assessTime;


    /**
     * 总费用
     */
    @Excel(name = "总费用")
    private String assessCost;


}
