package com.hungraim.ltc.pojo.vo.account;

import lombok.Data;

import java.util.Date;

/**
 *
 */
@Data
public class ExpenseSettlementInfoBo {

    /**
     * 服务任务id
     */
    private Integer srvTaskId;
    /**
     * 服务方案id
     */
    private Integer programId;

    /**
     * 失能人员姓名
     */
    private String realName;

    /**
     * 失能人员身份证号
     */
    private String certiCode;

    /**
     * 服务方式id
     */
    private String srvModeId;

    /**
     * 服务方式名称
     */
    private String srvModeName;

    /**
     * 服务开始时间
     */
    private Date srvStartTime;

    /**
     * 服务结束时间
     */
    private Date srvEndTime;

    /**
     * 失能等级id
     */
    private String disableLevelId;

    /**
     * 服务项目id
     */
    private String itemId;

    /**
     * 服务频次
     */
    private Integer itemTimes;

    /**
     * 计划频次
     */
    private Integer planningFrequency;
    /**
     * 计划频次类型
     */
    private Integer planningFrequencyType;

    /**
     * 服务等级id
     */
    private String srvLevelId;

    /**
     * 分支机构id
     */
    private String organId;

}
