package com.hungraim.ltc.pojo.vo.account;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class SrvEmpListResp {

    /**
     * 结算id
     */
    private Long empAccountsId;

    /**
     * 适用机构id
     */
    private Long organId;

    /**
     * 适用机构名称
     */
    private String organName;

    /**
     * 护理机构id
     */
    private Long srvOrganId;

    /**
     * 护理机构名称
     */
    private String srvOrganName;

    /**
     * 护理人员姓名
     */
    private String empName;

    /**
     * 护理人员身份证号
     */
    private String certifNum;

    /**
     * 结算月份
     */
    @DateTimeFormat(pattern = "yyyy-MM")
    @JsonFormat(pattern = "yyyy-MM",timezone = "GMT+8")
    private Date accountsTime;

    /**
     * 状态（0-待提交；1-待审核；2-已审核；3-已失效；）
     */
    private Short accountsStatus;

    /**
     * 应拨总费用
     */
    private String totalExpensesPayable;

    /**
     * 实拨总费用
     */
    private String totalAllocatedExpenses;

}
