package com.hungraim.ltc.pojo.vo.assessment;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class ReTaskDistributionVO {
    // 失能人员信息id
    private Long disableInfoId;
    //鉴定任务id
    private Integer taskId;
    //任务明细id
    private Integer applyId;
    //适用机构
    private String organName;
    //机构代码
    private String organId;
    //机构所在省市区
    private String districtProvincial;
    private String districtCity;
    private String districtArea;
    //失能人员姓名
    private String realName;
    //失能人员性别
    private String gender;
    //年龄
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;//出生年月
    //失能人员身份证号码
    private String certiCode;
    //失能人员联系电话
    private String tel;
    //申请服务方式
    private String srvModeId;
    private String srvModeName;
    //诊断疾病
    private String diseTypeF;//大类
    private String diseTypeS;//小类
    //申请来源
    private String dataFrom;//网厅：0，核心：1
    //申请类别
    private String applyMethod;//1首次申请、2复评申请，3动态评估
    //申请时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date fcd;
}
