package com.hungraim.ltc.pojo.vo.assessment;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 评定任务分组管理列表详情
 */
@Data
public class TaskGroupInfoByPageVO {

    /**
     * 分组日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date date;
    /**
     * 评定起点地址
     */
    private String address;
    /**
     * 组号
     */
    private String groupNo;
    /**
     * 评定组长姓名
     */
    private String aprEmpName;
    /**
     * 评定组长身份证号码
     */
    private String idCard;
    /**
     * 组号
     */
    private String taskGroupNo;

}
