package com.hungraim.ltc.pojo.vo.disable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class DisableInfoChangeDetailVo {
    /**
     * 机构代码
     */
    private String organId;
    /**
     * 机构名称
     */
    private String organName;

    /**
     * 所在省份
     */
    private String districtProvince;

    /**
     * 所在城市
     */
    private String districtCity;

    /**
     * 所在区
     */
    private String districtArea;
    /**
     * 失能人员姓名
     */
    private String realName;
    /**
     * 身份证号
     */

    private String certifNum;
    /**
     * 出生年月
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;
    /**
     * 性别
     */
    private String gender;
    /**
     * 手机号码
     */
    private String Tel;
    /**
     * 所在户籍
     */
    private Short regist;
    /**
     * 接受评定地址
     */
    private String acptProvincial;
    private String acptCity;
    private String acptArea;
    private String acptStreet;
    private String acptRoadDetail;
    private Short acptType;
    /**
     * 接受服务地址
     */
    private String acptSrvProvincial;
    private String acptSrvCity;
    private String acptSrvArea;
    private String acptSrvStreet;
    private String acptSrvRoadDetail;
    private String acptSrvType;
    /**
     * 现住址
     */
    private String addressProvincial;
    private String addressCity;
    private String addressArea;
    private String addressStreet;
    private String addressRoadDetail;
    /**
     * 代办人
     */
    private String operName;
    /**
     * 代办人身份证
     */
    private String operCertiNum;
    /**
     * 联系电话
     */
    private String operTel;
    /**
     * 与失能人员关系
     */
    private Short operRelation;
    /**
     * 代办人现住址
     */
    private String operProvincial;
    private String operCity;
    private String operArea;
    private String operStreet;
    private String operAddress;
    /**
     * 变更原因说明
     */
    private String changeReason;
    /**
     * 审核人
     */
    private String checkName;
    /**
     * 审核结果
     */
    private Short applyStatus;
    /**
     * 备注
     */
    private String checkRemark;


}
