package com.hungraim.ltc.pojo.vo.disable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class SearchDisableSimpleVo {

    /**
     * 失能人员信息id
     */
    private Integer disabInfoId;

    /**
     * 失能人员姓名
     */
    private String realName;

    /**
     * 身份证号
     */
    private String certifNum;

    /**
     * 生日
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;

    /**
     * 性别
     */
    private String gender;

    /**
     * 手机号码
     */
    private String tel;

    /**
     * 诊断疾病
     */
    private Integer diseTypeS;
}
