package com.hungraim.ltc.pojo.vo.governance;

import lombok.Data;

/**
 * 评定人员信息列表VO
 */
@Data
public class AprOrganVO {
    /**
     * 评定机构id
     */
    private String aprOrganId;
    /**
     * 适用机构id
     */
    private String organId;
    /**
     * 适用机构名称
     */
    private String organName;
    /**
     * 机构代码
     */
    private String organCode;
    /**
     * 所在省市
     */
    private String districtProvincial;
    private String districtCity;
    private String districtArea;
    /**
     * 评定机构名称
     */
    private String aprOrganName;
    /**
     * 统一社会信用代码
     */
    private String unifiedSocialCreditCode;
    /**
     * 机构类型名称
     */
    private String organTypeName;
    /**
     * 机构地址
     */
    private String acptProvincial;//省
    private String acptCity;//市
    private String acptArea;//区
    private String acptStreet;//街道
    private String acptAddress;//详细地址
    /**
     * 机构联系人姓名
     */
    private String linkName;
    /**
     * 机构联系人手机号
     */
    private String linkTel;
}
