package com.hungraim.ltc.pojo.vo.governance;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hungraim.ltc.pojo.entity.PageInfo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
@Data
public class DisableInfoVo extends PageInfo {
    //失能人员ID
    private Integer disableInfoId;
    //所在省市
    private String provincial;
    private String city;
    private String area;
    private String realName;
    private String gender;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;
    //失能人员身份证号码
    private String certiCode;
    //失能人员手机号
    private String tel;
    private Integer srvModeId;
    //诊断疾病
    private String disease;
    //申请服务方式
    private String srvModeName;

    private Integer srvOrganIntent;
    private String permitId;
    //机构id
    private Integer srvOrganId;

    private Date aggign_time;

    private Date endTime;
    /**
     * 服务分配终止时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date stopTime;

    private Integer starts;

    private String acptAddress;
    private Integer srvSendId;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date allotTime;

    private String srvOrganName;

    private String diseTypeS;

    private Integer status;

    private String acptProvincial;
    private String acptCity;
    private String acptArea;


}
