package com.hungraim.ltc.pojo.vo.governance;

import com.hungraim.ltc.pojo.entity.SysConfig.ChFndAttach;
import com.hungraim.ltc.util.Result;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 服务计划详情VO
 *
 * @author czz
 */
@Data
public class SrvTaskInfoVO implements Serializable {
    /**
     * 服务方案id
     */
    private String programId;
    /**
     * 失能人员id
     */
    private String disabInfoId;
    /**
     * 服务计划id
     */
    private String srvTaskId;
    /**
     * 服务人员id
     */
    private String srvEmpId;
    /**
     * 服务人员姓名
     */
    private String empName;
    /**
     * 服务人员资质id
     */
    private String empTypeId;
    /**
     * 服务人员资质名称
     */
    private String empTypeName;
    /**
     * 具体护理日期 yyyy-MM-dd
     */
    private List<String> taskDetails;
    /**
     * 服务计划状态
     */
    private String taskStatus;

//    /**
//     * 服务计划附件
//     */
//    private List<ChFndAttach> listAttach;
}
