package com.hungraim.ltc.pojo.vo.governance;

import lombok.Data;

/**
 * 监管机构人员信息列表VO
 */
@Data
public class SuperviseOrganEmpVO {
    /**
     * 监管人员id
     */
    private String spvEmpId;
    /**
     * 监管机构id
     */
    private String spvOrganId;
    /**
     * 适用机构
     */
    private String organName;
    /**
     * 机构代码
     */
    private String organId;
    /**
     * 监管机构名称
     */
    private String spvOrganName;
    /**
     * 姓名
     */
    private String spvEmpName;
    /**
     * 证件类型
     */
    private String certifType;
    /**
     * 监管人员证件号码
     */
    private String certifNum;
    /**
     * 监管人员手机号
     */
    private String mobilePhone;
    /**
     * 人员类型 监管人员：0；管理人员：1
     */
    private String spvEmpType;
    /**
     * 状态 有效：0；失效：1
     */
    private String isLock;
}
