package com.hungraim.ltc.governance.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSuperviseOrganEmp;
import com.hungraim.ltc.pojo.vo.governance.SuperviseOrganEmpExportVO;
import com.hungraim.ltc.pojo.vo.governance.SuperviseOrganEmpVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface SuperviseOrganEmpMapper extends BaseMapper<ChSuperviseOrganEmp> {
    Page<SuperviseOrganEmpVO> superviseOrganEmpList(Page<SuperviseOrganEmpVO> page, List<Long> organIds, String organName, String superviseType, String superviseName, String superviseTel, String status);

    List<SuperviseOrganEmpExportVO> superviseOrganEmpExportList(List<Long> organIds, String organName, String superviseType, String superviseName, String superviseTel, String status);
}
