package com.hungraim.ltc.account.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvTaskFinishItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface ChSrvTaskFinishItemMapper extends BaseMapper<ChSrvTaskFinishItem> {

    @Select("<script>" +
            "SELECT " +
            "  count(*) " +//护理机构id
            "FROM " +
            "  ch_srv_task_detail t1 " +
            "  LEFT JOIN CH_SRV_TASK_FINISH_ITEM t2 ON t1.task_detail_id = t2.task_detail_id " +
            "<where> " +
            " t1.srv_organ_id = #{srvTaskId} AND t2.task_finish_item_id not null" +
            "</where></script>")
    int selectDetailsFinishCount(Integer srvTaskId);
}