package com.hungraim.ltc.api;

import com.hungraim.ltc.pojo.vo.disable.SrvModeVo;
import com.hungraim.ltc.util.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient("LTC-APPLY-SERVICE")
public interface SrvModeFeignService {

    /**
     * feign api 获取所有的服务方式接口
     * @return 返回所有服务方式
     */
    @GetMapping("/api.apply/disable/fndSrvMode")
    Result<List<SrvModeVo>> cfgSrvMode();
}
