package com.hungraim.ltc.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.disable.ChDisableInfoChange;
import com.hungraim.ltc.pojo.vo.disable.DisableInfoChangeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ChDisableInfoChangeMapper extends BaseMapper<ChDisableInfoChange> {
    /**
     * 失能人员信息变更-审核列表
     */
    Page<DisableInfoChangeVo> getListDisableInfoChange(Page<DisableInfoChangeVo> page,
                                                       @Param("organIds") List<Long> organIds,
                                                       @Param("districtProvincial") String districtProvincial,
                                                       @Param("districtCity") String districtCity,
                                                       @Param("districtArea") String districtArea,
                                                       @Param("realName") String realName,
                                                       @Param("certiCode") String certiCode,
                                                       @Param("aplOrganName") String srvOrganName,
                                                       @Param("applyStatus") Short applyStatus);
    /**
     * 失能信息变更-查看修改
     */

}
