package com.hungraim.ltc.pojo.entity.SysConfig;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * CH_CFG_CARE_SERVICE
 *
 * @author
 */
@Data
@TableName("CH_CFG_CARE_SERVICE")
@KeySequence("SEQ_CH_CFG_CARE_SERVICE")
public class ChCfgCareService implements Serializable {
    /**
     * 照护服务费用限额配置id
     */
    @TableId(type = IdType.INPUT)
    private Long careServiceId;

    /**
     * 服务等级id
     */
    private Integer srvlevelId;

    /**
     * 月支付限额(元/人)
     */
    private Integer monthlyPaymentLimit;

    private static final long serialVersionUID = 1L;
}