package com.hungraim.ltc.pojo.entity.SysConfig;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * CH_CFG_COST_STANDARD
 *
 * @author
 */
@Data
@TableName("CH_CFG_COST_STANDARD")
@KeySequence("SEQ_CH_CFG_COST_STANDARD")
public class ChCfgCostStandard implements Serializable {
    /**
     * 基护费用标准配置id
     */
    @TableId(type = IdType.INPUT)
    private Long costStandardId;

    /**
     * 中支机构id
     */
    private Integer organId;

    /**
     * 服务方式id
     */
    private Integer srvModeId;

    /**
     * 服务等级id
     */
    private Integer srvLevelId;

    /**
     * 费用(元/人/天)
     */
    private Integer cost;

    private static final long serialVersionUID = 1L;
}