package com.hungraim.ltc.pojo.entity.SysConfig;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * CH_FND_BANK 银行基础表
 *
 * @author zhangch
 */
@Data
@TableName("CH_FND_BANK")
public class ChFndBank implements Serializable {
    /**
     * 银行ID
     */
    @TableId(type = IdType.INPUT)
    private String bankId;

    /**
     * 银行名称
     */
    private String bankName;

    /**
     * 银行简称
     */
    private String bankAbb;

    private String bankClass;

    /**
     * 银行代码
     */
    private String bankPaycode;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Long lcu;

    private static final long serialVersionUID = 1L;
}