package com.hungraim.ltc.pojo.entity.SysConfig;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 学历基表
 * @TableName CH_FND_EDUCATION
 */
@TableName(value ="CH_FND_EDUCATION")
@Data
public class ChFndEducation implements Serializable {
    /**
     * 学历ID
     */
    @TableId(type= IdType.INPUT)
    private Integer eduId;

    /**
     * 学历名称
     */
    private String eduCode;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}