package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName CH_CFG_SRV_EMP_CATE
 */
@TableName(value ="CH_CFG_SRV_EMP_CATE")
@Data
public class ChCfgSrvEmpCate implements Serializable {
    /**
     * 人员类别id
     */
    @TableId
    private Integer empCateId;

    /**
     * 人员类型名称
     */
    private String cateName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 基础参数配置id
     */
    private Integer paraId;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Integer fcu;

    /**
     * 人员资质ID
     */
    private Integer qualificationsId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}