package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * CH_SERVICE_TYPE
 * 服务类型码表
 * @author dtd
 */
@Data
@TableName("CH_SERVICE_TYPE")
@KeySequence("SEQ_CH_SERVICE_TYPE")
public class ChServiceType implements Serializable {
    /**
     * 服务类型id
     */
    @TableId(type = IdType.INPUT)
    private Long serviceTypeId;

    /**
     * 服务类型名称
     */
    private String serviceTypeName;

    /**
     * 父类id
     */
    private Long paraId;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    private static final long serialVersionUID = 1L;
}