package com.hungraim.ltc.pojo.entity.serviceManage;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * CH_CFG_APREMP_TYPE
 */
@Data
@TableName("CH_CFG_APREMP_TYPE")
public class ChCfgAprempType implements Serializable {
    /**
     * 鉴定人员类型ID
     */
    @TableId(type = IdType.INPUT)
    private Long aprempTypeId;

    /**
     * 鉴定人员类型名称
     */
    private String aprempName;

    /**
     * 父级鉴定人员类型ID
     */
    private Long parAprempTypeId;

    /**
     * 基础参数配置ID
     */
    private Long paraId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    private static final long serialVersionUID = 1L;
}