package com.hungraim.ltc.pojo.entity.serviceManage;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * CH_CFG_PARA
 */
@Data
@TableName("CH_CFG_PARA")
@KeySequence("SEQ_CH_CFG_PARA")
public class ChCfgPara {
    /**
     * 服务配置主键id
     */
    @TableId(value = "para_id", type = IdType.INPUT)
    private Long paraId;

    /**
     * 机构代码
     */
    private String organId;

    /**
     * 服务配置名称
     */
    private String cfgName;

    /**
     * 复评周期
     */
    private String cfgCycle;

    /**
     * 备注
     */
    private String remark;

    /**
     * 状态   未生效：0；已生效：1；已失效：2
     */
    private Short status;

    /**
     * 定义人
     */
    private Long defineEmp;

    /**
     * 生效时间
     */
    private Date effTime;

    /**
     * 终止人
     */
    private Long endEmp;

    /**
     * 终止时间
     */
    private Date endTime;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Long lcu;

    /**
     * 鉴定时效
     */
    private Long cfgArgTime;

    /**
     * 鉴定单位
     */
    private Short cfgArgUnit;

    private Short disLimtScore;

    /**
     * 公示周期
     */
    private Long pulicityPeriod;

    /**
     * 公示周期单位（工作日：0；自然日：1）
     */
    private Short pulicityPeriodUnit;

    /**
     * 享受标准(元/天)
     */
    private BigDecimal enjoyStandard;
}