package com.hungraim.ltc.pojo.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 角色表，根据该表与 {@link SystemResource} 共同实现权限管理
 *
 * @author hubin
 */
@Data
@TableName("LTC_ROLE")
public class SystemRole {

    @TableId( type = IdType.AUTO)
    private Long roleId;
    private String roleName;
    private String status;
    private Date createdTime;
    private Date updatedTime;

}
