package com.hungraim.ltc.pojo.vo.account;

import lombok.Data;

import java.util.Date;

@Data
public class ExpenseSettlementVo {

    /**
     * 失能人员姓名
     */
    private String realName;

    /**
     * 失能人员身份证号
     */
    private String certiCode;

    /**
     * 护理等级
     */
    private String nursingGrade;

    /**
     * 服务方式名称
     */
    private String srvModeName;

    /**
     * 服务开始时间
     */
    private Date srvStartTime;

    /**
     * 服务结束时间
     */
    private Date srvEndTime;

    /**
     * 有效结算日
     */
    private Integer effectiveSettlementDate;

    /**
     * 基护费用标准
     */
    private String costStandard;

    /**
     * 基护费用
     */
    private Double foundationProtectionCost;

    /**
     * 基护完成率
     */
    private String completionRateFoundationProtection;

    /**
     * 巡护基护完成考核
     */
    private String patrolAndBasicProtectionCompletedAssessment;

    /**
     * 基护应拨费用
     */
    private Double expensesPayableFoundationProtection;

    /**
     * 照护费用标准
     */
    private String standardCareCost;

    /**
     * 照护费用
     */
    private Double careCosts;

    /**
     * 照护完成率
     */
    private String careCompletionRate;

    /**
     * 巡护照护完成考核
     */
    private String patrolCareCompletionAssessment;

    /**
     * 照护应拨费用
     */
    private Double carePayable;

    /**
     * 应拨付总金额
     */
    private Double totalAmountDue;

}
