package com.hungraim.ltc.pojo.vo.account;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 机构结算VO
 */
@Data
public class OrganAccountsVO {

    private String taskDetailId;

    private String itemId;

    private String disabInfoId;
    /**
     * 失能人员姓名
     */
    private String realName;
    /**
     * 身份证号
     */
    private String certiCode;

    /**
     * 服务方式id
     */
    private String modeId;

    /**
     * 服务方式
     */
    private String srvModeName;

    /**
     * 护理机构id
     */
    private String srvOrganId;

    /**
     * 护理机构名称
     */
    private String srvOrganName;

    /**
     * 医保统筹区
     */
    private String medicalArea;
    /**
     * 护理服务人员
     */
    private String empName;
    /**
     * 任务时间
     */
    private String srvDate;

    /**
     * 任务开始时间
     */
    private String srvStartTime;

    /**
     * 任务结束时间
     */
    private String srvEndTime;
    /**
     * 机构等级
     */
    private String levelCode;
    /**
     * 失能等级
     */
    private String disableLevelName;
    /**
     * 总费用
     */
    private BigDecimal allCost;
    /**
     * 统筹支出
     */
    private BigDecimal overallCost;
    /**
     * 个人支出
     */
    private BigDecimal personalCost;

    private String itemName;

}
