package com.hungraim.ltc.pojo.vo.account;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hungraim.ltc.pojo.vo.BaseReq;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class SrvEmpListReq extends BaseReq {

    /**
     * 适用机构id
     */
    private Long organId;


    /**
     * 是否包含下级机构
     */
    private Boolean isInvolveChild;

    /**
     * 护理机构id
     */
    private Long srvOrganId;

    /**
     * 护理人员姓名
     */
    private String empName;

    /**
     * 护理人员身份证号
     */
    private String certifNum;

    /**
     * 结算月份
     */
    @DateTimeFormat(pattern = "yyyy-MM")
    @JsonFormat(pattern = "yyyy-MM", timezone = "GMT+8")
    private Date accountsTime;

}
