package com.hungraim.ltc.pojo.vo.disable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class DisableInfoChangeVo {

    /**
     * 变更id
     */
    private Integer changeId;

    /**
     * 适用机构
     */
    private String organName;
    /**
     * 机构代码
     */
    private String organId;
    /**
     * 所在省份
     */
    private String districtProvince;

    /**
     * 所在城市
     */
    private String districtCity;

    /**
     * 所在区
     */
    private String districtArea;
    /**
     * 申请机构（只有网厅申请才有机构）
     */
    private Integer aplOrganId;
    /**
     * 提交机构
     */
    private String srvOrganName;

    /**
     * 申请人姓名
     */
    private String realName;

    /**
     * 身份证号
     */
    private String certifNum;

    /**
     * 出生年月
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;

    /**
     * 性别
     */
    private String gender;

    /**
     * 手机号
     */
    private String tel;
    /**
     * 服务方式
     */
    private String srvModeName;
    /**
     * 诊断疾病
     */
    private String diseTypeS;
    /**
     * 申请提交时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date effTime;
    /**
     * 审核状态
     */
    private short applyStatus;
}
