package com.hungraim.ltc.pojo.vo.disable;

import lombok.Data;

import java.util.List;

/**
 * 护理机构列表vo类
 */
@Data
public class SrvOrganListVo {

    /**
     * 护理机构id
     */
    private Long srvOrganId;

    /**
     * 适用机构id
     */
    private Long organId;

    /**
     * 适用机构名称
     */
    private String organName;

    /**
     * 所在省市地址
     */
    private String districtProvince;
    private String districtCity;
    private String districtArea;
    private String addressDetail;

    /**
     * 护理机构名称
     */
    private String srvOrganName;

    /**
     * 机构类型id
     */
    private Long organTypeId;

    /**
     * 机构类型名称
     */
    private String organTypeName;

    /**
     * 统一社会信用代码
     */
    private String unifiedSocialCreditCode;

    /**
     * 提供的服务方式(服务方式id集合，英文逗号分割)
     */
    private String srvType;

    /**
     * 提供服务方式
     */
    private List<SrvModeVo> srvModeVos;

    /**
     * 联系人姓名
     */
    private String linkName;

    /**
     * 联系人电话
     */
    private String linkTel;

    /**
     * 提供长护床位数
     */
    private Long bunk;

}
