package com.hungraim.ltc.pojo.vo.governance;

import lombok.Data;

/**
 * 评定机构信息列表VO
 */
@Data
public class AprEmpVO {

    /**
     * 评定人员id
     */
    private Long empId;
    /**
     * 评定机构id
     */
    private String aprOrganId;
    /**
     * 适用机构id
     */
    private String organId;
    /**
     * 适用机构名称
     */
    private String organName;
    /**
     * 机构代码
     */
    private String organCode;
    /**
     * 所在省市
     */
    private String districtProvincial;
    private String districtCity;
    private String districtArea;
    /**
     * 评定机构名称
     */
    private String aprOrganName;
    /**
     * 统一社会信用代码
     */
    private String unifiedSocialCreditCode;
    /**
     * 评定人员姓名
     */
    private String realName;
    /**
     * 评定人员性别
     */
    private String gender;
    /**
     * 评定人员年龄
     */
    private String age;
    /**
     * 评定人员证件类型
     */
    private String certifTypeId;
    /**
     * 评定人员证件号码
     */
    private String certiCode;
    /**
     * 评定人员手机号码
     */
    private String tel;
    /**
     * 评定人员资质
     */
    private String aprempTypeF;//父类型
    private String aprempTypeS;//子类型
    /**
     * 文化水平
     */
    private String eduCode;
    /**
     * 人员类型 鉴定人员：0；管理人员：1
     */
    private String empType;
    /**
     * 是否是组长 0组长，1非组长
     */
    private String groupLeader;
    /**
     * 状态 有效：0；失效：1
     */
    private String isLock;
}
