package com.hungraim.ltc.pojo.vo.governance;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 失能人员信息列表VO
 */
@Data
public class DisableInfoTaskVO implements Serializable {
    private String realName;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;
    private String medicalCard;
    private Long srvModeId;
    private String evaluateRating;
    private Integer srvOrganIntent;
    private String gender;
    private String certiCode;
    private String diseTypeS;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date finishTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date reAprTime;
    private String permitId;
    private String tel;
    private Integer taskStatus;

}
