package com.hungraim.ltc.pojo.vo.governance;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;


/**
 * @author zwl
 * @ClassName SrvOrganEmpExportVo
 * @description 监管机构人员信息导出列表
 * @date 2023/1/12 21:56
 **/
@Data
public class SuperviseOrganEmpExportVO {

    @Excel(name = "适用机构",width = 20)
    private String organName;

    @Excel(name = "监管机构名称",width = 20)
    private String spvOrganName;

    @Excel(name = "监管人员姓名",width = 20)
    private String spvEmpName;

//    @Excel(name = "证件类型",width = 20)
//    private String certifType;

    @Excel(name = "监管人员证件号码",width = 20)
    private String certifNum;

    @Excel(name = "监管人员手机号",width = 20)
    private String mobilePhone;
    /**
     * 人员类型 监管人员：0；管理人员：1
     */
    @Excel(name = "监管人员类型",width = 20)
    private String spvEmpType;
    /**
     * 状态 有效：0；失效：1
     */
    @Excel(name = "状态")
    private String isLock;
}
