package com.hungraim.ltc.pojo.vo.governance;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 监管机构人员信息列表VO
 */
@Data
public class SuperviseOrganVO {
    /**
     * 监管机构id
     */
    private String spvOrganId;
    /**
     * 适用机构
     */
    private String organName;
    /**
     * 机构代码
     */
    private String spvOrganCode;
    /**
     * 所在省市区
     */
    private String districtProvince;
    private String districtCity;
    private String districtArea;
    /**
     * 监管机构名称
     */
    private String spvOrganName;
    /**
     * 机构联系人姓名
     */
    private String contactName;
    /**
     * 联系人手机号
     */
    private String contactTel;
    /**
     * 统一社会信用代码
     */
    private String unifiedSocialCreditCode;
    /**
     * 机构联系人邮箱
     */
    private String contactMail;
    /**
     * 银行账户名称
     */
    private String accName;
    /**
     * 银行开户行名称
     */
    private String bankAccName;
    /**
     * 银行账号
     */
    private String bankNo;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date effTime;
}
