package com.hungraim.ltc.pojo.vo.governance;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 列表页回显对象
 */
@Data
public class SvrSendListVo {

    /**
     * 服务分配ID
     */
    private Long srvSendId;

    /**
     * 服务机构id
     */
    private Long srvOrganId;

    /**
     * 失能人员id
     */
    private Long disabInfoId;

    /**
     * 机构所在省
     */
    private String districtProvincial;

    /**
     * 机构所在市
     */
    private String districtCity;

    /**
     * 失能人员姓名
     */
    private String realName;

    /**
     * 失能人员手机号
     */
    private String realTel;

    /**
     * 失能人员生日
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date birthday;

    /**
     * 失能人员性别
     */
    private String gender;

    /**
     * 接收服务省市区
     */
    private String acptSrvProvincial;
    private String acptSrvCity;
    private String acptSrvArea;
    private String acptSrvStreet;
    private String acptSrvAddress;

    /**
     * 服务方案数量
     */    private Integer programNum;

    /**
     * 服务分配状态 未分配 0 已分配 1 已终止 2
     */
    private Integer sendStatus;

    /**
     * 创建时间(分配时间)
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date allotTime;


}
