package com.hungraim.ltc.pojo.vo.system;

import com.hungraim.ltc.pojo.entity.SysConfig.ChFndAttach;
import lombok.Data;

import java.util.List;

@Data
public class AttachUpdateVo {

    /**
     * 关联id
     */
    private Long ctrlId;

    /**
     * 附件类型(1:失能人员附件;2:鉴定任务附件;3:服务方案附件;4:稽核巡查;5:护理机构基金结算申请新增;6:无锡长护保险自评申请;7:失能信息变更附件;8:评估结论书;9:参保人员及家属;10:评定人员1;11:评定人员2;12:鉴定机构附件;13:护理机构附件;14:鉴定人员附件;15:护理人员附件 16-护理人员服务项目结束附件，17:建床，18：撤床；19：护理机构结算附件；20：护理人员结算附件；)
     */
    private Short attachType;

    /**
     * 文件对象列表
     */
    private List<ChFndAttach> chFndAttachs;
}
