package com.hungraim.ltc.util;

import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

/**
 * 服务等级枚举类
 */
@AllArgsConstructor
@NoArgsConstructor
public enum CfgSrvLevel {

    ONE("1", "一级"),
    TWO("2", "二级"),
    THREE("3", "三级");

    private String code;

    private String msg;

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public static String getMsg(String code) {
        CfgSrvLevel[] enums = values();
        for (CfgSrvLevel state : enums) {
            if (state.getCode().equals(code)) {
                return state.getMsg();
            }
        }
        return "";
    }
}
