package com.hungraim.ltc.governance.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hungraim.ltc.pojo.entity.governance.ChSrvBuildBed;
import com.hungraim.ltc.pojo.vo.governance.BuildBedDetailVo;
import com.hungraim.ltc.pojo.vo.governance.BuildBedSearchReq;
import com.hungraim.ltc.util.Result;

/**
 * @author jiaguokai
 */
public interface IBuildBedService extends IService<ChSrvBuildBed> {
    Result searchOrgBed(BuildBedSearchReq req);


    void saveOrUpdateBuildBed(BuildBedDetailVo buildBedDetailVo);

    /**
     * 查询建床详情
     *
     * @param buildBedId 建床详情id
     * @return 返回建床详情
     */
    BuildBedDetailVo getBuildBedDetail(Integer buildBedId);
}
